Skip to main content
Setup / Reference Data

Create new variant dealer discount

Create new variant dealer discount This method requires the ReferenceData:Create permission to be associated with your role

POST
/gb/setup/reference/data/qt_variant_dealer_discounts
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

application/json

JSON payload

client_idstringrequired
Example: 123456
datestringrequired
dealer_discount_type_idstringrequired
Example: 123456
discountnumber
Example: 500
supplier_idstringrequired
Example: 123456
variant_idstringrequired
Example: 123456

Response

application/vnd.catch-e-api.v1+json

Success

client_idstring
Example: 123456
datestring
dealer_discount_type_idstring
Example: 123456
discountnumber
Example: 1234.56
supplier_idstring
Example: 123456
variant_dealer_discount_idstring
Example: 123456
variant_idstring
Example: 123456